<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<form [formGroup]="formGroup" class="min-w-[400px]">
  <ng-container *ngLet="formGroup.statusChanges | async as status">
    <p-multiSelect *ngIf="!credential" [options]="permissions" formControlName="selectedPermissions" placeholder="Select a Permissions" [style]="{ width: '200px' }" />
    <div *ngIf="credential" class="h-12 rounded-sm bg-dialogGrey flex items-center justify-start px-3.5" style="width: 200px;">{{ credential.permissions }}</div>
    <div class="mt-10 pb-2 text-text-300 text-sm font-semibold">Select TTL</div>
    <div class="flex gap-4">
      <div *ngFor="let range of ranges" class="field-checkbox">
        <p-radioButton [inputId]="range.key.toString()" [value]="range" formControlName="selectedRange" />
        <label [for]="range.key" class="ml-2">
          {{ range.name }}
        </label>
      </div>
    </div>
    <div *ngIf="formGroup.controls.selectedRange.value.name == 'Custom'" class="mt-6">
      <div class="text-text-300 text-sm font-semibold pb-1">Custom TTL in days</div>
      <p-inputNumber inputId="customRange" formControlName="customRange" mode="decimal" [min]="1"/>
      <div class="pb-1 text-text-300 text-sm font-semibold">min: 1, max: 1826 (1 week)</div>
    </div>
    <div class="mt-20">
      <p-button [label]="credential ? 'Refresh': 'Generate'" (onClick)="generate()" [disabled]="formGroup.controls.selectedPermissions.errors" [loading]="loading$ | async"></p-button>
    </div>
  </ng-container>
</form>
